part of 'est_role_assignment_bloc.dart';

abstract class EstRoleAssignmentEvent extends Equatable {
  const EstRoleAssignmentEvent();

  @override
  List<Object> get props => [];
}

class GetEstPointPersonRolesUnder extends EstRoleAssignmentEvent{
  final int userId;
  const GetEstPointPersonRolesUnder({required this.userId});
}

class EstPointPersonAssignRole extends EstRoleAssignmentEvent{
  final int userId;
  final List<int> rolesId;
  final int assingerId;
  const EstPointPersonAssignRole({required this.assingerId, required this.rolesId, required this.userId});
}
class EstPointPersonDeleteAssignRole extends EstRoleAssignmentEvent {
  final int roleId;
  const EstPointPersonDeleteAssignRole({required this.roleId});
}

